# PhasicFlow: hashMap< Key, T, Hash > Class Template Reference

hashMap< Key, T, Hash > Class Template Reference
Inheritance diagram for hashMap< Key, T, Hash >:
[legend]
Collaboration diagram for hashMap< Key, T, Hash >:
[legend]

## Public Types

using | hashMapType = hashMap< Key, T, Hash >
using | hashmapType = std::unordered_map< Key, T, Hash >
using | iterator = typename hashmapType::iterator
using | constIterator = typename hashmapType::const_iterator
using | reference = typename hashmapType::reference
using | constReference = typename hashmapType::const_reference
using | initList = typename std::initializer_list< T >
using | keyType = typename hashmapType::key_type
using | mappedType = typename hashmapType::mapped_type
using | valueType = typename hashmapType::value_type

## Public Member Functions

| TypeInfoTemplateNV ("hashMap", Key)
| hashMap ()
| hashMap (initList lst)
| hashMap (const hashMapType &src)
| hashMap (hashMapType &&src)
hashMapType & | operator= (const hashMapType &rhs)
hashMapType & | operator= (hashMapType &&rhs)
uniquePtr< hashMapType > | clone () const
hashMapType * | clonePtr () const
| ~hashMap ()
bool | insertIf (const keyType &k, const mappedType &v)
bool | insertIf (keyType &&k, mappedType &&v)
bool | search (const keyType k) const
std::pair< iterator, bool > | findIf (const keyType &k)
const std::pair< constIterator, bool > | findIf (const keyType &k) const

## Detailed Description

### template<class Key, class T, class Hash = std::hash<Key>>
class pFlow::hashMap< Key, T, Hash >

Definition at line 36 of file hashMap.hpp.

## Member Typedef Documentation

## hashMapType

using hashMapType = hashMap<Key, T, Hash>

Definition at line 42 of file hashMap.hpp.

## hashmapType

using hashmapType = std::unordered_map<Key, T, Hash>

Definition at line 44 of file hashMap.hpp.

## iterator

using iterator = typename hashmapType::iterator

Definition at line 46 of file hashMap.hpp.

## constIterator

using constIterator = typename hashmapType::const_iterator

Definition at line 48 of file hashMap.hpp.

## reference

using reference = typename hashmapType::reference

Definition at line 50 of file hashMap.hpp.

## constReference

using constReference = typename hashmapType::const_reference

Definition at line 52 of file hashMap.hpp.

## initList

using initList = typename std::initializer_list<T>

Definition at line 54 of file hashMap.hpp.

## keyType

using keyType = typename hashmapType::key_type

Definition at line 56 of file hashMap.hpp.

## mappedType

using mappedType = typename hashmapType::mapped_type

Definition at line 58 of file hashMap.hpp.

## valueType

using valueType = typename hashmapType::value_type

Definition at line 60 of file hashMap.hpp.

## Constructor & Destructor Documentation

## hashMap() [1/4]

hashMap | ( |  | ) |

inline

Definition at line 68 of file hashMap.hpp.

## hashMap() [2/4]

hashMap | ( | initList | lst | ) |

inline

Definition at line 72 of file hashMap.hpp.

## hashMap() [3/4]

hashMap | ( | const hashMapType & | src | ) |

inline

Definition at line 78 of file hashMap.hpp.

## hashMap() [4/4]

hashMap | ( | hashMapType && | src | ) |

inline

Definition at line 84 of file hashMap.hpp.

## ~hashMap()

~hashMap | ( |  | ) |

inline

Definition at line 113 of file hashMap.hpp.

## Member Function Documentation

## TypeInfoTemplateNV()

TypeInfoTemplateNV | ( | "hashMap< Key, T, Hash >" | ,
|  | Key |
| ) |  |

## operator=() [1/2]

hashMapType& operator= | ( | const hashMapType & | rhs | ) |

inline

Definition at line 90 of file hashMap.hpp.

## operator=() [2/2]

hashMapType& operator= | ( | hashMapType && | rhs | ) |

inline

Definition at line 97 of file hashMap.hpp.

## clone()

uniquePtr<hashMapType> clone | ( |  | ) | const

inline

Definition at line 103 of file hashMap.hpp.

## clonePtr()

hashMapType* clonePtr | ( |  | ) | const

inline

Definition at line 108 of file hashMap.hpp.

## insertIf() [1/2]

bool insertIf | ( | const keyType & | k,
|  | const mappedType & | v
| ) |  |

Definition at line 23 of file hashMapI.hpp.

## insertIf() [2/2]

bool insertIf | ( | keyType && | k,
|  | mappedType && | v
| ) |  |

Definition at line 30 of file hashMapI.hpp.

## search()

bool search | ( | const keyType | k | ) | const

Definition at line 40 of file hashMapI.hpp.

## findIf() [1/2]

std::pair< typename pFlow::hashMap< Key, T, Compare >::iterator, bool > findIf | ( | const keyType & | k | ) |

Definition at line 48 of file hashMapI.hpp.

## findIf() [2/2]

const std::pair< typename pFlow::hashMap< Key, T, Compare >::constIterator, bool > findIf | ( | const keyType & | k | ) | const

Definition at line 58 of file hashMapI.hpp.

The documentation for this class was generated from the following files:

- src/phasicFlow/containers/Map/hashMap/hashMap.hpp
- src/phasicFlow/containers/Map/hashMap/hashMapI.hpp